import java.util.Scanner;
import java.util.Random;

public class Agent2 {
    public static void main(String[] args) {
        // Scanner scanner = new Scanner(System.in);
        // Random random = new Random();
        
        // while (true) {
        //     String input = scanner.nextLine();
        //     System.out.print(random.nextInt(5));
        //     System.out.print(" ");
        //     System.out.print(random.nextInt(5));
        //     System.out.println();
        // }

        System.out.println("0 7 0 7 2");
        System.out.println("0 6 0 6 5");
        System.out.println("0 7 0 7 2");
        System.out.println("0 6 0 6 5");
        System.out.println("0 7 0 7 2");
        System.out.println("0 6 0 6 5");
    }
}
